<div class="container" style="padding: 2vh;" novalidate *ngIf="dataLoaded">
  <form [formGroup]="form" (ngSubmit)="send()">
    <div class="form-row">
      <label class="col-2 col-form-label" class="font-weight-bold" for="new-deck">Deck Name: </label>
      <input class="form-control" name="new-deck" type="text" formControlName="name">
    </div>
    <div class="form-group">
      <div *ngIf="dataLoaded">
          <label class="col-2 col-form-label" class="font-weight-bold">Select Game: </label>
          <select class="form-control" formControlName="game">
            <option *ngFor="let game of games" class="form-control" [ngValue]="game">{{game.name}}</option>
          </select>
      </div>
    </div>
  </form>
  <button type="button" class="btn btn-primary" (click)="send()">Save</button>
  <button type="button" class="btn btn-secondary" (click)="close()">Clear</button>
  <div class="alert alert-info" role="alert" *ngIf="!dataLoaded">
    Loading data...
  </div>
</div>
